# $Revision: 1.40.2.3 $, $Date: 2007/03/27 08:59:44 $
#
# Conditional build:
%bcond_without	ldap	# without LDAP auth
%bcond_without	mysql	# without MySQL auth
%bcond_without	pgsql	# without PostgreSQL auth
%bcond_without	sqlite	# without  SQLite3 auth
%bcond_without	sasl	# without SASL auth
#
Summary:	IMAP and POP3 server written with security primarily in mind
Summary(pl):	Serwer IMAP i POP3 pisany gwnie z myl o bezpieczestwie
Name:		dovecot
Version:	1.0.rc28
Release:	1
License:	LGPL v2.1 and MIT
Group:		Networking/Daemons
Source0:	http://dovecot.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	e6fd617f3210f914815186c176796881
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-config.patch
#Patch1:		%{name}-pop3-undeleted.patch
URL:		http://dovecot.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_sasl:BuildRequires:	cyrus-sasl-devel >= 2.0}
BuildRequires:	heimdal-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	sed >= 4.0
%{?with_sqlite:BuildRequires:	sqlite3-devel}
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	pam >= 0.79.0
Provides:	group(dovecot)
Provides:	user(dovecot)
Provides:	imapdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems,
written with security primarily in mind. Although it's written with C,
it uses several coding techniques to avoid most of the common
pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly. It's also planned to support
storing mails in SQL databases.

Dovecot is easy to set up and doesn't require special maintenance.
Only thing you need is to get the authentication working properly - if
your users are in /etc/passwd there's hardly anything you have to do.

Dovecot should be pretty fast, mostly because of index files that
Dovecot maintains; instead of having to scan through all the data in
mailbox, Dovecot can get most of the wanted information from index
with little effort.

Status:
- should be quite ready for use with normal IMAP clients
- complete IMAP4rev1 and POP3 support
- supports THREAD, SORT and IDLE extensions, required by many IMAP
  webmails
- complete TLS/SSL support
- IPv6 ready
- shared mailboxes aren't yet supported
- Maildir++ quota is supported, bad hard filesystem quota can be
  problematic

%description -l pl
Dovecot to serwer IMAP i POP3 dla systemw linuksowych/uniksowych,
pisany gwnie z myl o bezpieczestwie. Chocia jest pisany w C,
uywa kilku technik kodowania zapobiegajcych wikszoci popularnych
puapek.

Dovecot moe dziaa ze standardowymi formatami mbox i maildir, jest
cakowicie kompatybilny z serwerami UW-IMAP i Courier IMAP, a take z
klientami pocztowymi bezporednio dostajcymi si do skrzynek.
Planowana jest take obsuga przechowywania listw w bazach SQL.

Dovecot jest atwy do skonfigurowania i nie wymaga specjalnego
nadzoru. Wystarczy tylko doprowadzi do dziaania uwierzytelnianie -
jeli uytkownicy s w /etc/passwd, to waciwie nie trzeba nic
zmienia.

Dovecot powinien by w miar szybki, gwnie z powodu plikw
indeksowych utrzymywanych przez serwer; zamiast potrzeby skanowania
wszystkich danych w skrzynce, Dovecot moe maym kosztem uzyska
wikszo potrzebnych informacji z indeksu.

Stan:
- powinien by gotowy do uycia ze zwykymi klientami IMAP
- pena obsuga IMAP4rev1 i POP3
- obsuga rozszerze THREAD, SORT i IDLE, wymaganych przez wiele
  webmaili IMAP
- obsuga IPv6
- pena obsuga TLS/SSL
- quota Maildir++ jest obsugiwana, ale twarda quota na systemach
  plikw moe by problematyczna

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
%{__sed} -i 's,/usr/lib/dovecot,%{_libdir}/dovecot,g' dovecot-example.conf

%build
touch config.rpath
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	%{?with_ldap:--with-ldap} \
	%{?with_mysql:--with-mysql} \
	%{?with_pgsql:--with-pgsql} \
	%{?with_sasl:--with-cyrus-sasl2} \
	%{?with_sqlite:--with-sqlite} \
	--with-gssapi \
	--with-ssl=openssl \
	--with-ssl-dir=/var/lib/openssl \
	--sysconfdir=/etc/%{name}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d,sysconfig,security}
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir}}
install -d $RPM_BUILD_ROOT{/var/lib/dovecot,/var/run/dovecot/login}

%{__make} install \
	moduledir=%{_libdir}/%{name}/plugins \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/{dovecot-example.conf,dovecot.conf}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

touch $RPM_BUILD_ROOT/etc/security/blacklist.imap

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 172 dovecot
%useradd -u 172 -d /usr/share/empty -s /bin/false -c "Dovecot server" -g dovecot dovecot

%post
/sbin/chkconfig --add dovecot
if [ -f /var/lock/subsys/dovecot ]; then
	/etc/rc.d/init.d/dovecot restart >&2
else
	echo "Run \"/etc/rc.d/init.d/dovecot start\" to start dovecot daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/dovecot ]; then
		/etc/rc.d/init.d/dovecot stop >&2
	fi
	/sbin/chkconfig --del dovecot
fi

%postun
if [ "$1" = "0" ]; then
	%userremove dovecot
	%groupremove dovecot
fi

%files
%defattr(644,root,root,755)
# COPYING contains some notes, not actual LGPL text
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/*.txt doc/*.c*f
%attr(755,root,root) %{_sbindir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}pw
%attr(750,root,root) %dir %{_sysconfdir}/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.imap
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_libdir}/%{name}
%dir /var/lib/dovecot
%dir /var/run/dovecot
%attr(750,root,dovecot) %dir /var/run/dovecot/login

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dovecot.spec,v $
Revision 1.40.2.3  2007/03/27 08:59:44  arekm
- up to rc28

Revision 1.40.2.2  2007/02/23 02:56:20  charles
- updated to 1.0.rc24

Revision 1.40.2.1  2007/02/22 00:04:06  charles
- sync with HEAD

Revision 1.40  2006/12/21 07:55:58  hawk
- workaround automake 1.10 problem, see
  http://dovecot.org/list/dovecot/2006-December/018017.html
- release 2

Revision 1.39  2006/11/25 12:18:53  qboosh
- added CVE reference

Revision 1.38  2006/11/25 11:24:54  charles
- updated to 1.0.rc15 [fixes CVE-2006-5973]

Revision 1.37  2006/11/12 05:19:44  charles
- updated to 1.0.rc13; cleanups

Revision 1.36  2006/10/21 00:06:37  charles
- rc10

Revision 1.35  2006/08/26 17:45:18  charles
- updated to 1.0.rc7
- disabled -unbreak-nss_ldap.patch (unavailable)

Revision 1.34  2006/07/25 00:25:04  aredridel
- 1.0.rc2

Revision 1.33  2006/06/29 10:29:45  arekm
- use %%Mf

Revision 1.32  2006/06/28 21:25:45  arekm
- add tpop3d uidl support

Revision 1.31  2006/06/28 20:49:50  charles
- updated License

Revision 1.30  2006/06/28 20:25:57  arekm
- don't force dnotify; let configure choose best one; config moved to /etc/dovecot/dovecot.conf so we can put additional dovecot configs there

Revision 1.29  2006/06/28 20:17:52  charles
- enabled GSSAPI authentication support; updated -gssapi.patch; BR: heimdal-devel
- added /var/lib/dovecot (permanent data directory)

Revision 1.28  2006/06/28 19:21:24  arekm
- up to 1.0rc1

Revision 1.27  2006/06/18 11:12:46  charles
- cosmetics

Revision 1.26  2006/06/18 10:51:04  charles
- added user:group dovecot

Revision 1.25  2006/06/18 06:54:55  charles
- updated to 1.0.beta9
- fixed /var/run/dovecot{/login} perms; before:
  dovecot: Warning: Fixing permissions of /var/run/dovecot to be world-readable
  dovecot: Warning: Corrected permissions for login directory /var/run/dovecot/login

Revision 1.24  2006/05/24 18:52:55  charles
- updated to beta8

Revision 1.23  2006/04/02 00:48:21  baseciq
- up to beta3

Revision 1.22  2006/01/28 14:28:57  charles
- updated to 1.0.beta2
- added SQLite3 support
- added /var/run/dovecot* dirs

Revision 1.21  2006/01/18 06:50:54  aredridel
- up to beta1

Revision 1.20  2006/01/17 15:13:06  baggins
- release 2
- BR openldap 2.3

Revision 1.19  2005/12/27 09:22:19  aredridel
- up to 1.0.alpha5 (recommended stable version)

Revision 1.18  2005/10/27 17:39:26  arekm
- rel 2

Revision 1.17  2005/06/02 18:00:33  undefine
- up to 0.99.14

Revision 1.16  2005/05/12 13:12:11  baggins
- release 2
- req pam 0.79

Revision 1.15  2005/03/11 14:01:46  spider
- adaptarized

Revision 1.14  2005/01/14 20:14:41  qboosh
- added mysql auth (based on patch from Marcin "MySZ" Sztolcman)
- new-style bconds

Revision 1.13  2004/12/09 11:30:00  paladine
- spaces->tabs
- cosmetics

Revision 1.12  2004/11/29 02:07:13  zbyniu
- updated to 0.99.11
- BR: gettext-devel, pkgconfig

Revision 1.11  2004/08/19 11:35:45  misi3k
- updated to 0.99.10.9

Revision 1.10  2004/07/14 16:18:45  aredridel
- up to 0.99.10.7

Revision 1.9  2004/06/24 16:49:49  aredridel
- up to 99.10.6

Revision 1.8  2004/04/21 19:06:45  aredridel
- rel 3 for rebuild with new openldap

Revision 1.7  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.6  2003/09/26 14:22:46  baggins
- release 2

Revision 1.5  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.4  2003/07/08 13:17:12  orzech
- release 1: seems finished, works

Revision 1.3  2003/07/08 11:21:14  qboosh
- more auth mechanisms+bconds

Revision 1.2  2003/07/07 21:00:35  qboosh
- pl, BR: ac,am,lt

Revision 1.1  2003/07/07 15:20:24  qboosh
- initial, NFY
